Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232557 - Review Request: xml-commons-which - Which subproject of xml-commons
Summary: Review Request: xml-commons-which - Which subproject of xml-commons
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 02:58 UTC by Matt Wringe
Modified: 2008-03-06 12:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-06 12:50:43 UTC
pcheung: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Matt Wringe 2007-03-16 02:58:21 UTC
Spec URL: https://mwringe.108.redhat.com/files/documents/175/308/xml-commons-which.spec
SRPM URL: https://mwringe.108.redhat.com/files/documents/175/309/xml-commons-which-1.0-0.b2.0jpp.1.src.rpm
Description: The which subproject is an environment checking utility that scans 
your environment and reports common versions of xml-related files.

NOTE: this package contains the which component of the xml-commons package currently in core. The xml-commons package needs to be split due to its srpm containing sources for both xml-commons-apis and xml-commons-which.

Comment 2 Permaine Cheung 2007-03-16 15:54:58 UTC
Please fix items marked by X:
MUST:
* package is named appropriately
 - match upstream tarball or project name
 - try to match previous incarnations in other distributions/packagers for
consistency
 - specfile should be %{name}.spec
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
* license field matches the actual license.
* license is open source-compatible.
 - use acronyms for licences where common
* specfile name matches %{name}
X verify source and patches (md5sum matches upstream, know what the patches do)
- md5sum doesn't match, i got the following when diff'ing the src tar ball and
from the svn export:
diff -r xml-commons-1_0_b2/java/external/LICENSE.dom-software.txt
../xml-commons-1_0_b2/java/external/LICENSE.dom-software.txt
74c74
< (last updated $Date: 2002-02-01 00:13:42 +0100 (Fri, 01 Feb 2002) $)
\ No newline at end of file
---
> (last updated $Date: 2002-01-31 18:13:42 -0500 (Thu, 31 Jan 2002) $)
\ No newline at end of file
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/core.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/core.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/attribute.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/attribute.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/cdata-section.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/cdata-section.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/comment.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/comment.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/data.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/data.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/document.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/document.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/dom.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/dom.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/element.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/element.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/exceptions.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/exceptions.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/named-node-map.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/named-node-map.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node-list.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node-list.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r
xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/notation.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/notation.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/pi.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/pi.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/text.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/text.xml
3c3
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/css.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/css.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/stylesheets.xml
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/stylesheets.xml
2c2
< <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
---
> <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913 $ -->
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie.
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
* skim the summary and description for typos, etc.
* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* if %{?dist} is used, it should be in that form (note the ? and %
locations)
* license text included in package and marked with %doc
X keep old changelog entries; use judgement when removing (too old?
useless?)
should we get rid of the old changelog entries since this is now a new
 package and some of those may only apply to xml-commons-apis?
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
W: xml-commons-which non-standard-group Text Processing/Markup/XML - OK

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

* Packager tag should not be used
* Vendor tag should not be used
* Distribution tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
* specfile is legible
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
* make sure lines are <= 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
X file permissions should be okay; %defattrs should be present
 - do we need %defattr(0644,root,root,0755) twice in the first %files section?
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
final provides and requires of the mock built binary RPMs:
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
xml-commons-which-1.0.jar.so()(64bit)
xml-commons-which = 1:1.0-0.1.b2.0jpp.1.fc7
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
xml-commons-which-1.0.jar.so.debug()(64bit)
xml-commons-which-debuginfo = 1:1.0-0.1.b2.0jpp.1.fc7
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
xml-commons-which-1.0.jar.so()(64bit)
xml-commons-which-javadoc = 1:1.0-0.1.b2.0jpp.1.fc7
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm/bin/sh
/bin/sh
ant
ant-launcher
java-gcj-compat
java-gcj-compat
jpackage-utils >= 0:1.5
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libdl.so.2()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgcj_bc.so.1()(64bit)
libm.so.6()(64bit)
libpthread.so.0()(64bit)
librt.so.1()(64bit)
libz.so.1()(64bit)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)

X run rpmlint on the binary RPMs
rpmlint on mock built rpms:
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-*x86_64.rpm
pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
W: xml-commons-which non-standard-group Text Processing/Markup/XML
W: xml-commons-which incoherent-version-in-changelog 1:1.0-0.b2.0jpp.1
1:1.0-0.1.b2.0jpp.1.fc7
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
W: xml-commons-which-javadoc non-standard-group Development/Documentation

Please fix the incoherent-version-in-changelog warning (first .1 missing in release)

SHOULD:
* package should include license text in the package and mark it with %doc
* package should build on i386
* package should build in mock


Comment 3 Matt Wringe 2007-03-16 19:53:48 UTC
(In reply to comment #2)
> Please fix items marked by X:
> MUST:
> * package is named appropriately
>  - match upstream tarball or project name
>  - try to match previous incarnations in other distributions/packagers for
> consistency
>  - specfile should be %{name}.spec
>  - non-numeric characters should only be used in Release (ie. cvs or
>    something)
>  - for non-numerics (pre-release, CVS snapshots, etc.), see
>    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
>  - if case sensitivity is requested by upstream or you feel it should be
>    not just lowercase, do so; otherwise, use all lower case for the name
> * is it legal for Fedora to distribute this?
>  - OSI-approved
>  - not a kernel module
>  - not shareware
>  - is it covered by patents?
>  - it *probably* shouldn't be an emulator
>  - no binary firmware
> * license field matches the actual license.
> * license is open source-compatible.
>  - use acronyms for licences where common
> * specfile name matches %{name}
> X verify source and patches (md5sum matches upstream, know what the patches do)
> - md5sum doesn't match, i got the following when diff'ing the src tar ball and
> from the svn export:
> diff -r xml-commons-1_0_b2/java/external/LICENSE.dom-software.txt
> ../xml-commons-1_0_b2/java/external/LICENSE.dom-software.txt
> 74c74
> < (last updated $Date: 2002-02-01 00:13:42 +0100 (Fri, 01 Feb 2002) $)
> \ No newline at end of file
> ---
> > (last updated $Date: 2002-01-31 18:13:42 -0500 (Thu, 31 Jan 2002) $)
> \ No newline at end of file
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/core.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/core.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/attribute.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/attribute.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/cdata-section.xml
>
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/cdata-section.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/comment.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/comment.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/data.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/data.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/document.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/document.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/dom.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/dom.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/element.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/element.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/exceptions.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/exceptions.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/named-node-map.xml
>
../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/named-node-map.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node-list.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node-list.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/node.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r
> xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/notation.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/notation.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/pi.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/pi.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/text.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/core/definitions/text.xml
> 3c3
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/css.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/css.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> diff -r xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/stylesheets.xml
> ../xml-commons-1_0_b2/java/external/xdocs/dom/xml/style/stylesheets.xml
> 2c2
> < <!-- $Date: 2001-06-01 13:15:37 +0200 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->
> ---
> > <!-- $Date: 2001-06-01 07:15:37 -0400 (Fri, 01 Jun 2001) $ $Revision: 225913
$ -->

Yeah, I don't know what is causing the 6 hour time stamp difference between the
two, this shouldn't be an issue since all the code is the same. I have updated
the sources so this should not be an issue anymore.

>  - if upstream doesn't release source drops, put *clear* instructions on
>    how to generate the the source drop; ie.
>   # svn export blah/tag blah
>   # tar cjf blah-version-src.tar.bz2 blah
> * skim the summary and description for typos, etc.
> * correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
> * license text included in package and marked with %doc
> X keep old changelog entries; use judgement when removing (too old?
> useless?)
> should we get rid of the old changelog entries since this is now a new
>  package and some of those may only apply to xml-commons-apis?
Ok, I removed them. Since I based this off the xml-commons package which is
split up I kept the old changelogs, but I guess this doesn't make much sense.

> * packages meets FHS (http://www.pathname.com/fhs/)
> * rpmlint on <this package>.srpm gives no output
> W: xml-commons-which non-standard-group Text Processing/Markup/XML - OK
> 
> * changelog should be in one of these formats:
> 
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
>   - And fix the link syntax.
> 
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
>   - And fix the link syntax.
> 
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
>   - 0.6-4
>   - And fix the link syntax.
> 
> * Packager tag should not be used
> * Vendor tag should not be used
> * Distribution tag should not be used
> * use License and not Copyright
> * Summary tag should not end in a period
> * if possible, replace PreReq with Requires(pre) and/or Requires(post)
> * specfile is legible
> * package successfully compiles and builds on at least x86
> * BuildRequires are proper
>  - builds in mock will flush out problems here
>  - the following packages don't need to be listed in BuildRequires:
>    bash
>    bzip2
>    coreutils
>    cpio
>    diffutils
>    fedora-release (and/or redhat-release)
>    gcc
>    gcc-c++
>    gzip
>    make
>    patch
>    perl
>    redhat-rpm-config
>    rpm-build
>    sed
>    tar
>    unzip
>    which
> * summary should be a short and concise description of the package
> * description expands upon summary (don't include installation
> instructions)
> * make sure lines are <= 80 characters
> * specfile written in American English
> * make a -doc sub-package if necessary
>  - see
>   
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
> * packages including libraries should exclude static libraries if possible
> * don't use rpath
> * config files should usually be marked with %config(noreplace)
> * GUI apps should contain .desktop files
> * should the package contain a -devel sub-package?
> * use macros appropriately and consistently
>  - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
> * don't use %makeinstall
> * locale data handling correct (find_lang)
>  - if translations included, add BR: gettext and use %find_lang %{name} at the
>    end of %install
> * consider using cp -p to preserve timestamps
> * split Requires(pre,post) into two separate lines
> * package should probably not be relocatable
> * package contains code
>  - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
>  - in general, there should be no offensive content
> * package should own all directories and files
> * there should be no %files duplicates
> X file permissions should be okay; %defattrs should be present
>  - do we need %defattr(0644,root,root,0755) twice in the first %files section?
The second one is removed.

> * %clean should be present
> * %doc files should not affect runtime
> * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
> * verify the final provides and requires of the binary RPMs
> final provides and requires of the mock built binary RPMs:
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> xml-commons-which-1.0.jar.so()(64bit)
> xml-commons-which = 1:1.0-0.1.b2.0jpp.1.fc7
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> xml-commons-which-1.0.jar.so.debug()(64bit)
> xml-commons-which-debuginfo = 1:1.0-0.1.b2.0jpp.1.fc7
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --provides
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> xml-commons-which-1.0.jar.so()(64bit)
> xml-commons-which-javadoc = 1:1.0-0.1.b2.0jpp.1.fc7
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm/bin/sh
> /bin/sh
> ant
> ant-launcher
> java-gcj-compat
> java-gcj-compat
> jpackage-utils >= 0:1.5
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libdl.so.2()(64bit)
> libgcc_s.so.1()(64bit)
> libgcc_s.so.1(GCC_3.0)(64bit)
> libgcj_bc.so.1()(64bit)
> libm.so.6()(64bit)
> libpthread.so.0()(64bit)
> librt.so.1()(64bit)
> libz.so.1()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpm -qp --requires
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> libc.so.6()(64bit)
> libc.so.6(GLIBC_2.2.5)(64bit)
> libdl.so.2()(64bit)
> libgcc_s.so.1()(64bit)
> libgcc_s.so.1(GCC_3.0)(64bit)
> libgcj_bc.so.1()(64bit)
> libm.so.6()(64bit)
> libpthread.so.0()(64bit)
> librt.so.1()(64bit)
> libz.so.1()(64bit)
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)
> 
> X run rpmlint on the binary RPMs
> rpmlint on mock built rpms:
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-*x86_64.rpm
> pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> W: xml-commons-which non-standard-group Text Processing/Markup/XML
> W: xml-commons-which incoherent-version-in-changelog 1:1.0-0.b2.0jpp.1
> 1:1.0-0.1.b2.0jpp.1.fc7
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-debuginfo-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> [pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
>
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-javadoc-1.0-0.1.b2.0jpp.1.fc7.x86_64.rpm
> W: xml-commons-which-javadoc non-standard-group Development/Documentation
> 
> Please fix the incoherent-version-in-changelog warning (first .1 missing in
release)
Done

> SHOULD:
> * package should include license text in the package and mark it with %doc
> * package should build on i386
> * package should build in mock
> 

New Files: 
https://mwringe.108.redhat.com/files/documents/175/316/xml-commons-which-1.0-0.1.b2.0jpp.1.src.rpm
https://mwringe.108.redhat.com/files/documents/175/317/xml-commons-which.spec

Comment 4 Permaine Cheung 2007-03-16 20:50:45 UTC
(In reply to comment #3)
> (In reply to comment #2)
...
> Yeah, I don't know what is causing the 6 hour time stamp difference between the
> two, this shouldn't be an issue since all the code is the same. I have updated
> the sources so this should not be an issue anymore.
Great!
> > X keep old changelog entries; use judgement when removing (too old?
> > useless?)
> > should we get rid of the old changelog entries since this is now a new
> >  package and some of those may only apply to xml-commons-apis?
> Ok, I removed them. Since I based this off the xml-commons package which is
> split up I kept the old changelogs, but I guess this doesn't make much sense.
Thanks.
> > X file permissions should be okay; %defattrs should be present
> >  - do we need %defattr(0644,root,root,0755) twice in the first %files section?
> The second one is removed.
OK
> > X run rpmlint on the binary RPMs
> > rpmlint on mock built rpms:
> > 
> > Please fix the incoherent-version-in-changelog warning (first .1 missing in
> release)
> Done

Great!

rpmlint on mock built binary rpms:
[pcheung@to-fcjpp1 bsf-2.3.0]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/xml-commons-which-*
W: xml-commons-which non-standard-group Text Processing/Markup/XML
W: xml-commons-which non-standard-group Text Processing/Markup/XML
W: xml-commons-which-javadoc non-standard-group Development/Documentation


APPROVED

Comment 5 Matt Wringe 2007-03-16 21:01:49 UTC
New Package CVS Request
=======================
Package Name: xml-commons-which
Short Description: Which subproject of xml-commons
Owners: mwringe@redhat.com
Branches: devel


Note You need to log in before you can comment on or make changes to this bug.